Summary   	: NFS utlilities and supporting daemons for the kernel NFS server.
Name	  	: hhl-target-nfs-utils
Version	  	: 0.3.2
Release	  	: %{_hhl_build_id}.1
Source	  	: ftp://nfs.sourceforge.net/pub/nfs/nfs-utils_0.3.2-2.tar.gz 
Source1: nfs-kernel-server.tmpl
Source2: nfs-common.tmpl
Patch1		: nfs-utils-0.1.6-makefile.patch
Patch2		: nfs-utils-initd.diff
Patch3		: nfs-utils-0.1.6-time_h.patch
License 	: GPL 
Group	  	: System Environment/Daemons
Buildroot 	: %{_tmppath}/%{name}-%{_hhl_target_arch}-root
Prefix	  	: %{_hhl_cross_target_dir}
%define _defaultdocdir	%{_hhl_cross_target_dir}%{_hhl_target_doc_dir}

#
#	SRPM
#
%description
The nfs-utils package provides a daemon for the kernel NFS server and
related tools, which provides a much higher level of performance than the
traditional Linux NFS server used by most users.

This package also contains the showmount program.  Showmount queries the
mount daemon on a remote host for information about the NFS (Network File
System) server on the remote host.  For example, showmount can display the
clients which are mounted on that host. 



#
#	RPM
#

%package -n hhl-%{_hhl_target_arch}-nfs-kernel-server
Summary		: NFS utlilities and supporting daemons for the kernel NFS server.
Group		: System Environment/Daemons
AutoReqProv	: no
Conflicts	: hhl-%{_hhl_target_arch}-nfs-user-server
%description -n hhl-%{_hhl_target_arch}-nfs-kernel-server

The nfs-utils package provides a daemon for the kernel NFS server and
related tools, which provides a much higher level of performance than the
traditional Linux NFS server used by most users.

This package also contains the showmount program.  Showmount queries the
mount daemon on a remote host for information about the NFS (Network File
System) server on the remote host.  For example, showmount can display the
clients which are mounted on that host. 

%package -n hhl-%{_hhl_target_arch}-nfs-common
Summary         : NFS utlilities and supporting daemons for common NFS.
Group           : System Environment/Daemons
AutoReqProv     : no

%description -n hhl-%{_hhl_target_arch}-nfs-common

The nfs-utils package provides a daemon for the kernel NFS server and
related tools, which provides a much higher level of performance than the
traditional Linux NFS server used by most users.

This package also contains the showmount program.  Showmount queries the
mount daemon on a remote host for information about the NFS (Network File
System) server on the remote host.  For example, showmount can display the
clients which are mounted on that host.


%prep

%target_check

%setup -n nfs-utils
%patch1 -p1 
%patch2 -p1
%patch3 -p1
%build
PATH=%{_hhl_cross_bin_dir}:$PATH


%target_setup

%configure --mandir=%{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_man_dir}
pushd tools/rpcgen
ln ../../rules.mk .
ln ../../config.mk .
popd
make -C tools/rpcgen CC=gcc
make
make -C tools/rpcgen clean
make -C tools/rpcgen

%install
%target_setup
rm -rf %{buildroot}
PATH=%{_hhl_cross_bin_dir}:$PATH

make SBINDIR=%{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_sbin_dir} exec_prefix=%{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_prefix} MANDIR=%{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_man_dir} STATEDIR=%{buildroot}%{_hhl_cross_target_dir}/var/lib/nfs/ install

mkdir -p %{buildroot}%{_hhl_cross_target_dir}/etc/init.d/

install -m 755 debian/nfs-common.init %{buildroot}%{_hhl_cross_target_dir}/etc/init.d/nfs-common
install -m 755 debian/nfs-kernel-server.init %{buildroot}%{_hhl_cross_target_dir}/etc/init.d/nfs-kernel-server
rm -f %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man8/{rpc.lockd.8,rpc.mountd.8,rpc.nfsd.8,rpc.statd.8,rpc.rquotad.8}
gzip -v9 %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man*/*
ln -s lockd.8.gz %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man8/rpc.lockd.8.gz
ln -s mountd.8.gz %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man8/rpc.mountd.8.gz
ln -s nfsd.8.gz %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man8/rpc.nfsd.8.gz
ln -s rquotad.8.gz %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man8/rpc.rquota.8.gz
ln -s statd.8.gz %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man8/rpc.statd.8.gz

cp debian/copyright LICENSE

install -d %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/pml/packages
export HHL_TOOL_PREFIX=%{_hhl_target_toolprefix}
genpkgdesc %{buildroot}%{_hhl_cross_target_dir} %{SOURCE1} > %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/pml/packages/nfs-kernel-server
genpkgdesc %{buildroot}%{_hhl_cross_target_dir} %{SOURCE2} > %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/pml/packages/nfs-common

%clean
rm -rf %{buildroot}

%files -n hhl-%{_hhl_target_arch}-nfs-kernel-server
%defattr(-,root,root)

%config %{_hhl_cross_target_dir}%{_hhl_target_sysconf_dir}/init.d/nfs-kernel-server
%{_hhl_cross_target_dir}%{_hhl_target_sbin_dir}/nhfsgraph
%{_hhl_cross_target_dir}%{_hhl_target_sbin_dir}/nhfsnums
%{_hhl_cross_target_dir}%{_hhl_target_sbin_dir}/nhfsrun
%{_hhl_cross_target_dir}%{_hhl_target_sbin_dir}/nhfsstone
%{_hhl_cross_target_dir}%{_hhl_target_sbin_dir}/rpc.mountd
%{_hhl_cross_target_dir}%{_hhl_target_sbin_dir}/rpc.nfsd
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man5/exports.5.gz
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man8/exportfs.8.gz
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man8/mountd.8.gz
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man8/nfsd.8.gz
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man8/nhfsgraph.8.gz
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man8/nhfsnums.8.gz
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man8/nhfsrun.8.gz
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man8/nhfsstone.8.gz
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man8/rpc.mountd.8.gz
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man8/rpc.nfsd.8.gz
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man8/showmount.8.gz
%{_hhl_cross_target_dir}%{_hhl_target_localstate_dir}/lib/nfs/etab
%{_hhl_cross_target_dir}%{_hhl_target_localstate_dir}/lib/nfs/rmtab
%{_hhl_cross_target_dir}%{_hhl_target_localstate_dir}/lib/nfs/xtab

%doc LICENSE
%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/pml/packages/nfs-kernel-server

%files -n hhl-%{_hhl_target_arch}-nfs-common
%defattr(-,root,root)
%config %{_hhl_cross_target_dir}%{_hhl_target_sysconf_dir}/init.d/nfs-common
%{_hhl_cross_target_dir}%{_hhl_target_sbin_dir}/exportfs
%{_hhl_cross_target_dir}%{_hhl_target_sbin_dir}/showmount
%{_hhl_cross_target_dir}%{_hhl_target_sbin_dir}/rpc.lockd
%{_hhl_cross_target_dir}%{_hhl_target_sbin_dir}/nfsstat
%{_hhl_cross_target_dir}%{_hhl_target_sbin_dir}/rpc.rquotad
%{_hhl_cross_target_dir}%{_hhl_target_sbin_dir}/rpc.statd
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man8/lockd.8.gz
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man8/nfsstat.8.gz
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man8/rquotad.8.gz
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man8/statd.8.gz
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man8/rpc.lockd.8.gz
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man8/rpc.statd.8.gz
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man8/rpc.rquota.8.gz

%doc LICENSE
%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/pml/packages/nfs-common

%changelog
* Fri Apr 20 2001 Automated script (run by Steve Kinneberg <skinneberg@mvista.com>)
- Added TCT package description files
* Mon Mar 5 2001 Jeremy Puhlman <jpuhlman@mvista.com>
- first-cut hhl spec file


